[arch-commits] Commit in hplip/repos (8 files)

Tom Gundersen tomegun at archlinux.org
Sun Apr 8 19:43:32 EDT 2012


    Date: Sunday, April 8, 2012 @ 19:43:32
  Author: tomegun
Revision: 155903

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  hplip/repos/extra-i686/PKGBUILD
    (from rev 155902, hplip/trunk/PKGBUILD)
  hplip/repos/extra-i686/hplip.install
    (from rev 155902, hplip/trunk/hplip.install)
  hplip/repos/extra-x86_64/PKGBUILD
    (from rev 155902, hplip/trunk/PKGBUILD)
  hplip/repos/extra-x86_64/hplip.install
    (from rev 155902, hplip/trunk/hplip.install)
Deleted:
  hplip/repos/extra-i686/PKGBUILD
  hplip/repos/extra-i686/hplip.install
  hplip/repos/extra-x86_64/PKGBUILD
  hplip/repos/extra-x86_64/hplip.install

----------------------------+
 extra-i686/PKGBUILD        |  139 +++++++++++++++++++++----------------------
 extra-i686/hplip.install   |   20 +++---
 extra-x86_64/PKGBUILD      |  139 +++++++++++++++++++++----------------------
 extra-x86_64/hplip.install |   20 +++---
 4 files changed, 162 insertions(+), 156 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2012-04-08 23:43:03 UTC (rev 155902)
+++ extra-i686/PKGBUILD	2012-04-08 23:43:32 UTC (rev 155903)
@@ -1,68 +0,0 @@
-# $Id$
-# Maintainer: Tom Gundersen <teg at jklm.no>
-# Contributor : Rémy Oudompheng <remy at archlinux.org>
-# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
-
-pkgname=hplip
-pkgver=3.12.2
-pkgrel=2
-pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
-arch=('i686' 'x86_64')
-url="http://hplipopensource.com"
-license=('GPL')
-depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
-	 'net-snmp>=5.7.1')
-makedepends=('python2-pyqt' 'python2-gobject2' 'sane' 'rpcbind' 'cups')
-optdepends=('cups: for printing support'
-            'dbus-python: for dbus support'
-            'sane: for scanner support'
-            'python-imaging: for commandline scanning support'
-            'python-notify: for Desktop notification support'
-            'rpcbind: for network support'
-            'python2-pyqt: for running hp-toolbox'
-            'python2-gobject2: for running hp-toolbox'
-            'hplip-plugin: binary blobs for specific devices')
-options=('!libtool')
-install=hplip.install
-source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc})
-sha1sums=('bdf3e37a344f5b57b62425f755c4293d6d4ae875'
-          'aa00cdf755fea38f39247a0a4a2e8241dc15112c')
-
-build() {
- cd "$srcdir/$pkgname-$pkgver"
- export PYTHON=python2
- find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
- sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' base/magic.py
- sed -i 's|python ./print.py|python2 ./print.py|' scan.py
- sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
- sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py 
- sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
- sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
-
- export AUTOMAKE='automake --foreign'
- autoreconf --force --install
-
- ./configure --prefix=/usr \
-             --enable-qt4 \
-             --enable-foomatic-rip-hplip-install \
-             --enable-foomatic-ppd-install \
-             --enable-hpcups-install \
-             --enable-new-hpcups \
-             --enable-cups-ppd-install \
-             --enable-cups-drv-install \
-             --enable-hpijs-install \
-             --enable-foomatic-drv-install \
-             --enable-pp-build \
-             --enable-udev-acl-rules
-
- make
-}
-
-package() {
- cd "$srcdir/$pkgname-$pkgver"
- make rulesdir=/lib/udev/rules.d DESTDIR="$pkgdir/" install
- # remove config provided by sane and autostart of hp-daemon
- rm -rf "$pkgdir"/etc/{sane.d,xdg}
- # remove HAL .fdi file because HAL is no longer used
- rm -rf "$pkgdir"/usr/share/hal
-}

Copied: hplip/repos/extra-i686/PKGBUILD (from rev 155902, hplip/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2012-04-08 23:43:32 UTC (rev 155903)
@@ -0,0 +1,71 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor : Rémy Oudompheng <remy at archlinux.org>
+# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
+
+pkgname=hplip
+pkgver=3.12.2
+pkgrel=3
+pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
+arch=('i686' 'x86_64')
+url="http://hplipopensource.com"
+license=('GPL')
+depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
+	 'net-snmp>=5.7.1')
+makedepends=('python2-pyqt' 'python2-gobject2' 'sane' 'rpcbind' 'cups')
+optdepends=('cups: for printing support'
+            'dbus-python: for dbus support'
+            'sane: for scanner support'
+            'python-imaging: for commandline scanning support'
+            'python-notify: for Desktop notification support'
+            'rpcbind: for network support'
+            'python2-pyqt: for running hp-toolbox'
+            'python2-gobject2: for running hp-toolbox'
+            'hplip-plugin: binary blobs for specific devices')
+options=('!libtool')
+install=hplip.install
+source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc})
+sha1sums=('bdf3e37a344f5b57b62425f755c4293d6d4ae875'
+          'aa00cdf755fea38f39247a0a4a2e8241dc15112c')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ export PYTHON=python2
+ find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
+ sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' base/magic.py
+ sed -i 's|python ./print.py|python2 ./print.py|' scan.py
+ sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
+ sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py 
+ sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
+ sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
+
+ export AUTOMAKE='automake --foreign'
+ autoreconf --force --install
+
+ ./configure --prefix=/usr \
+             --enable-qt4 \
+             --enable-foomatic-rip-hplip-install \
+             --enable-foomatic-ppd-install \
+             --enable-hpcups-install \
+             --enable-new-hpcups \
+             --enable-cups-ppd-install \
+             --enable-cups-drv-install \
+             --enable-hpijs-install \
+             --enable-foomatic-drv-install \
+             --enable-pp-build \
+             --enable-udev-acl-rules
+
+ make
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make rulesdir=/lib/udev/rules.d DESTDIR="$pkgdir/" install
+ # remove config provided by sane and autostart of hp-daemon
+ rm -rf "$pkgdir"/etc/{sane.d,xdg}
+ # remove HAL .fdi file because HAL is no longer used
+ rm -rf "$pkgdir"/usr/share/hal
+ # move to /usr
+ mv "$pkgdir"/lib/udev "$pkgdir"/usr/lib/
+ rm "$pkgdir"/lib -r
+}

Deleted: extra-i686/hplip.install
===================================================================
--- extra-i686/hplip.install	2012-04-08 23:43:03 UTC (rev 155902)
+++ extra-i686/hplip.install	2012-04-08 23:43:32 UTC (rev 155903)
@@ -1,10 +0,0 @@
-post_install() {
-  cat << EOF
-
-NOTE
-----
-# If you want to use this driver with sane:
-#  echo "hpaio" >> /etc/sane.d/dll.conf
-
-EOF
-}

Copied: hplip/repos/extra-i686/hplip.install (from rev 155902, hplip/trunk/hplip.install)
===================================================================
--- extra-i686/hplip.install	                        (rev 0)
+++ extra-i686/hplip.install	2012-04-08 23:43:32 UTC (rev 155903)
@@ -0,0 +1,10 @@
+post_install() {
+  cat << EOF
+
+NOTE
+----
+# If you want to use this driver with sane:
+#  echo "hpaio" >> /etc/sane.d/dll.conf
+
+EOF
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2012-04-08 23:43:03 UTC (rev 155902)
+++ extra-x86_64/PKGBUILD	2012-04-08 23:43:32 UTC (rev 155903)
@@ -1,68 +0,0 @@
-# $Id$
-# Maintainer: Tom Gundersen <teg at jklm.no>
-# Contributor : Rémy Oudompheng <remy at archlinux.org>
-# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
-
-pkgname=hplip
-pkgver=3.12.2
-pkgrel=2
-pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
-arch=('i686' 'x86_64')
-url="http://hplipopensource.com"
-license=('GPL')
-depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
-	 'net-snmp>=5.7.1')
-makedepends=('python2-pyqt' 'python2-gobject2' 'sane' 'rpcbind' 'cups')
-optdepends=('cups: for printing support'
-            'dbus-python: for dbus support'
-            'sane: for scanner support'
-            'python-imaging: for commandline scanning support'
-            'python-notify: for Desktop notification support'
-            'rpcbind: for network support'
-            'python2-pyqt: for running hp-toolbox'
-            'python2-gobject2: for running hp-toolbox'
-            'hplip-plugin: binary blobs for specific devices')
-options=('!libtool')
-install=hplip.install
-source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc})
-sha1sums=('bdf3e37a344f5b57b62425f755c4293d6d4ae875'
-          'aa00cdf755fea38f39247a0a4a2e8241dc15112c')
-
-build() {
- cd "$srcdir/$pkgname-$pkgver"
- export PYTHON=python2
- find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
- sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' base/magic.py
- sed -i 's|python ./print.py|python2 ./print.py|' scan.py
- sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
- sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py 
- sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
- sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
-
- export AUTOMAKE='automake --foreign'
- autoreconf --force --install
-
- ./configure --prefix=/usr \
-             --enable-qt4 \
-             --enable-foomatic-rip-hplip-install \
-             --enable-foomatic-ppd-install \
-             --enable-hpcups-install \
-             --enable-new-hpcups \
-             --enable-cups-ppd-install \
-             --enable-cups-drv-install \
-             --enable-hpijs-install \
-             --enable-foomatic-drv-install \
-             --enable-pp-build \
-             --enable-udev-acl-rules
-
- make
-}
-
-package() {
- cd "$srcdir/$pkgname-$pkgver"
- make rulesdir=/lib/udev/rules.d DESTDIR="$pkgdir/" install
- # remove config provided by sane and autostart of hp-daemon
- rm -rf "$pkgdir"/etc/{sane.d,xdg}
- # remove HAL .fdi file because HAL is no longer used
- rm -rf "$pkgdir"/usr/share/hal
-}

Copied: hplip/repos/extra-x86_64/PKGBUILD (from rev 155902, hplip/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-04-08 23:43:32 UTC (rev 155903)
@@ -0,0 +1,71 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor : Rémy Oudompheng <remy at archlinux.org>
+# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
+
+pkgname=hplip
+pkgver=3.12.2
+pkgrel=3
+pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
+arch=('i686' 'x86_64')
+url="http://hplipopensource.com"
+license=('GPL')
+depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
+	 'net-snmp>=5.7.1')
+makedepends=('python2-pyqt' 'python2-gobject2' 'sane' 'rpcbind' 'cups')
+optdepends=('cups: for printing support'
+            'dbus-python: for dbus support'
+            'sane: for scanner support'
+            'python-imaging: for commandline scanning support'
+            'python-notify: for Desktop notification support'
+            'rpcbind: for network support'
+            'python2-pyqt: for running hp-toolbox'
+            'python2-gobject2: for running hp-toolbox'
+            'hplip-plugin: binary blobs for specific devices')
+options=('!libtool')
+install=hplip.install
+source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc})
+sha1sums=('bdf3e37a344f5b57b62425f755c4293d6d4ae875'
+          'aa00cdf755fea38f39247a0a4a2e8241dc15112c')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ export PYTHON=python2
+ find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
+ sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' base/magic.py
+ sed -i 's|python ./print.py|python2 ./print.py|' scan.py
+ sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
+ sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py 
+ sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
+ sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
+
+ export AUTOMAKE='automake --foreign'
+ autoreconf --force --install
+
+ ./configure --prefix=/usr \
+             --enable-qt4 \
+             --enable-foomatic-rip-hplip-install \
+             --enable-foomatic-ppd-install \
+             --enable-hpcups-install \
+             --enable-new-hpcups \
+             --enable-cups-ppd-install \
+             --enable-cups-drv-install \
+             --enable-hpijs-install \
+             --enable-foomatic-drv-install \
+             --enable-pp-build \
+             --enable-udev-acl-rules
+
+ make
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make rulesdir=/lib/udev/rules.d DESTDIR="$pkgdir/" install
+ # remove config provided by sane and autostart of hp-daemon
+ rm -rf "$pkgdir"/etc/{sane.d,xdg}
+ # remove HAL .fdi file because HAL is no longer used
+ rm -rf "$pkgdir"/usr/share/hal
+ # move to /usr
+ mv "$pkgdir"/lib/udev "$pkgdir"/usr/lib/
+ rm "$pkgdir"/lib -r
+}

Deleted: extra-x86_64/hplip.install
===================================================================
--- extra-x86_64/hplip.install	2012-04-08 23:43:03 UTC (rev 155902)
+++ extra-x86_64/hplip.install	2012-04-08 23:43:32 UTC (rev 155903)
@@ -1,10 +0,0 @@
-post_install() {
-  cat << EOF
-
-NOTE
-----
-# If you want to use this driver with sane:
-#  echo "hpaio" >> /etc/sane.d/dll.conf
-
-EOF
-}

Copied: hplip/repos/extra-x86_64/hplip.install (from rev 155902, hplip/trunk/hplip.install)
===================================================================
--- extra-x86_64/hplip.install	                        (rev 0)
+++ extra-x86_64/hplip.install	2012-04-08 23:43:32 UTC (rev 155903)
@@ -0,0 +1,10 @@
+post_install() {
+  cat << EOF
+
+NOTE
+----
+# If you want to use this driver with sane:
+#  echo "hpaio" >> /etc/sane.d/dll.conf
+
+EOF
+}



More information about the arch-commits mailing list